Haketilo - Feature #17

Feature # 16 (Closed): create a repository to host scripts

enable the extension to automatically fetch script substitutes from the repo
07/01/2021 12:32 PM - koszko

Status: Closed Start date: 07/01/2021
Priority: Urgent Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Of course, we need the repo itself first.

Related issues:
Precedes Hydrilla - Feature #59: Make existing fixes available in Hydrilla fo... Closed 07/02/2021 07/02/2021

History

#1 - 07/06/2021 06:51 PM - koszko
- Priority changed from High to Urgent

#2 - 07/28/2021 07:30 AM - jahoti

Hasn't this been addressed?
#3 - 07/28/2021 09:11 AM - koszko

- Status changed from New to In Progress

- Assignee set to koszko

jahoti wrote:

Hasn't this been addressed?

Actually, | am working on this right now. By "automatically fetch script substitutes" | don't mean just downloading scripts that have URL+sha256sum
provided but rather querying the repo for the URL that is being visited at any given moment, with an option to add to the local settings the substitutes
found. In fact, the JSON sanitizer | wrote is to be used to process responses from Hydrilla.

#4 - 07/28/2021 09:12 AM - koszko
- % Done changed from 0 to 40

#5 - 07/28/2021 11:11 AM - jahoti

By "automatically fetch script substitutes" | don't mean just downloading scripts that have URL+sha256sum provided but rather querying the repo
for the URL that is being visited at any given moment, with an option to add to the local settings the substitutes found.
Oh, that makes sense. It appears | assumed a lot of features that weren't implemented yet!

#6 - 07/28/2021 12:24 PM - koszko

- Precedes Feature #59: Make existing fixes available in Hydrilla format added

#7 - 08/06/2021 05:20 PM - koszko
- % Done changed from 40 to 90

| ended up doing quite a lot of changes as prerequisites of this. The seemingly working product is now on my branch.

What needs to be done now is:

e testing; for now stuff from https:/git.koszko.org/hydrilla/tree/example/content can be fed to hydrilla
¢ documentation; especially sanitize_JSON.js (this one will have to be done by myself); the rest, however, can be refactored before documenting

#8 - 08/14/2021 10:21 AM - koszko

- Status changed from In Progress to Closed
- Assignee deleted (koszko)

- % Done changed from 90 to 100

Tested with Google Drive fixes. Closing. Documentation will be added at some point.
